#define HtTERM 80
#define VtTERM 24
#define HtCOMM 1024
#define MYtFONT OEM_FIXED_FONT
#define tCURSEUR 176


struct Terminal
{
    HWND hwnd;
    char term[VtTERM*HtTERM];
    int x;
    int y;
    int curs;
    int state;
    int hcomm;
    char comm[HtCOMM];
};
typedef struct Terminal *terminal;

void Trepaint(terminal t);

void Tsetpos(terminal t,int x,int y);

void Tsettitle(terminal t,char *title);

void Techostr(terminal t,char *p,int l);

void Techochar(terminal t,int ch);

void Tinchar(terminal t,int ch,char *res);

void Tiniterm(terminal t,char *title,int cmdshow);

